Bug 966304 - Visual feedback when getting component list via AJAX
Visual feedback when getting component list via AJAX
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 22:09 EDT by Simon Green
Modified: 2014-10-12 18:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:15:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Green 2013-05-22 22:09:04 EDT
In bug 964998, we re-implemented the feature to get the component list for bugs that had more than 200 components per product. For Fedora components, it takes a while for this list to be retrieved. It took 8 seconds on my computer, and about 20 seconds on my home PC (which is currently rate limited to 256kb/s).

While this list is being retrieved, we should provide some notice that the list is being retrieved, so the user knows what is happening. This should be a spiny wheel and text "Retrieving component list".

Note You need to log in before you can comment on or make changes to this bug.